Bug 1258048 - Failed to start firewalld (timeout)
Failed to start firewalld (timeout)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
22
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 14:45 EDT by Neil
Modified: 2015-10-29 10:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-29 10:58:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/firewalld (272 bytes, text/plain)
2015-08-31 10:42 EDT, Neil
no flags Details

  None (edit)
Description Neil 2015-08-28 14:45:43 EDT
[root@infinity duff]# systemctl status firewalld.service 
● firewalld.service - firewalld - dynamic firewall daemon
   Loaded: loaded (/usr/lib/systemd/system/firewalld.service; enabled; vendor preset: enabled)
   Active: failed (Result: timeout) since vie 2015-08-28 13:38:48 COT; 54s ago
  Process: 612 ExecStart=/usr/sbin/firewalld --nofork --nopid $FIREWALLD_ARGS (code=killed, signal=TERM)
 Main PID: 612 (code=killed, signal=TERM)

ago 28 13:37:18 infinity systemd[1]: Starting firewalld - dynamic firewall daemon...
ago 28 13:38:48 infinity systemd[1]: firewalld.service start operation timed out. Te...ng.
ago 28 13:38:48 infinity systemd[1]: Failed to start firewalld - dynamic firewall daemon.
ago 28 13:38:48 infinity systemd[1]: Unit firewalld.service entered failed state.
ago 28 13:38:48 infinity systemd[1]: firewalld.service failed.
Comment 1 Neil 2015-08-28 14:46:42 EDT
[duff@infinity ~]$ systemd-analyze blame 
    1min 30.154s firewalld.service
Comment 2 Thomas Woerner 2015-08-31 05:59:27 EDT
Please enable debugging in firewalld by setting FIREWALLD_ARGS=--debug in /etc/sysconfig/firewalld and add attach /var/log/firewalld to this bug.
Comment 3 Neil 2015-08-31 10:42:35 EDT
Created attachment 1068663 [details]
/var/log/firewalld
Comment 4 Thomas Woerner 2015-10-29 09:10:24 EDT
Please set FIREWALLD_ARGS=--debug in /etc/sysconfig/firewalld and attach /var/log/firewalld to this bug. The attached log file does not contain the debug output.
Comment 5 Neil 2015-10-29 10:58:46 EDT
Sorry, I don't have this system anymore, I had several services that won't start, like audit, NetworkManager, etc, pretty strange scenario, probably Systemd related, not the only nasty old bug I had (see:https://bugzilla.redhat.com/show_bug.cgi?id=1274537 only fixed rawhide). I'll wait F23 and if the bug is still present I'll make the proper bug report.

Note You need to log in before you can comment on or make changes to this bug.